Bug 1572245 - [RFE] provide GUI users an automated way to update the container URLs
Summary: [RFE] provide GUI users an automated way to update the container URLs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Dan Trainor
QA Contact: Amit Ugol
URL:
Whiteboard: NeedsAllocation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 13:58 UTC by Udi
Modified: 2019-02-22 07:03 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-22 07:03:15 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Udi 2018-04-26 13:58:21 UTC
Description of problem:
The default container URLs (in environments/containers-default-parameters.yaml) point to the CDN and they won't be updated as the containers are updated and the tags change.

GUI users who use the CDN will need to update the tags one-by-one, which no user will agree to do.

GUI users who use satellite will also need to update the URLs one-by-one.

The only alternative option is to run the "prepare" commands to use the undercloud as a registry, but that needs to be done from the CLI and then patch the plan in swift with the outputted environment file.

Some automation needs to be provided in the GUI to bring all the URLs up to date without requiring the use of the CLI.

Comment 6 Jaromir Coufal 2018-05-08 14:22:17 UTC
Reading the description if I understand it correctly - yes the prepare command needs to be possible to be triggered through GUI and user should be able to choose a tag which they want to use for the images to be downloaded. Also user should be able to review what containers are going to be deployed and exchange URL/path manually if they want to deploy modified (or custom) container.

Comment 7 Jason E. Rist 2018-05-08 15:14:23 UTC
They can change image location and registry through the GUI, it's just difficult to do a bulk transaction.  That's the crux of this issue.  Should we make the UI a blocker because we can't do bulk registry/container location changes?

Comment 13 Udi 2019-02-22 07:03:15 UTC
This feature is already introduced in OSP14.


Note You need to log in before you can comment on or make changes to this bug.